Index: timeline/src/main/java/geniusweb/deadline/DeadlineRounds.java
===================================================================
--- timeline/src/main/java/geniusweb/deadline/DeadlineRounds.java	(revision 32)
+++ timeline/src/main/java/geniusweb/deadline/DeadlineRounds.java	(revision 33)
@@ -3,5 +3,4 @@
 import com.fasterxml.jackson.annotation.JsonCreator;
 import com.fasterxml.jackson.annotation.JsonProperty;
-import com.fasterxml.jackson.annotation.JsonTypeName;
 
 /**
@@ -11,5 +10,4 @@
  * the protocol.
  */
-@JsonTypeName("deadlinerounds")
 public class DeadlineRounds extends DeadlineTime {
 	private final Integer rounds;
Index: timeline/src/main/java/geniusweb/deadline/DeadlineTime.java
===================================================================
--- timeline/src/main/java/geniusweb/deadline/DeadlineTime.java	(revision 32)
+++ timeline/src/main/java/geniusweb/deadline/DeadlineTime.java	(revision 33)
@@ -3,10 +3,8 @@
 import com.fasterxml.jackson.annotation.JsonCreator;
 import com.fasterxml.jackson.annotation.JsonProperty;
-import com.fasterxml.jackson.annotation.JsonTypeName;
 
 /**
  * How long a session will be allowed to run
  */
-@JsonTypeName("deadlinetime")
 public class DeadlineTime implements Deadline {
 
Index: timeline/src/main/java/geniusweb/progress/ProgressRounds.java
===================================================================
--- timeline/src/main/java/geniusweb/progress/ProgressRounds.java	(revision 32)
+++ timeline/src/main/java/geniusweb/progress/ProgressRounds.java	(revision 33)
@@ -5,5 +5,4 @@
 import com.fasterxml.jackson.annotation.JsonCreator;
 import com.fasterxml.jackson.annotation.JsonProperty;
-import com.fasterxml.jackson.annotation.JsonTypeName;
 
 /**
@@ -11,5 +10,4 @@
  * user of this class, calling {@link #advance()}. immutable.
  */
-@JsonTypeName("rounds")
 public class ProgressRounds implements Progress {
 
Index: timeline/src/main/java/geniusweb/progress/ProgressTime.java
===================================================================
--- timeline/src/main/java/geniusweb/progress/ProgressTime.java	(revision 32)
+++ timeline/src/main/java/geniusweb/progress/ProgressTime.java	(revision 33)
@@ -5,5 +5,4 @@
 import com.fasterxml.jackson.annotation.JsonCreator;
 import com.fasterxml.jackson.annotation.JsonProperty;
-import com.fasterxml.jackson.annotation.JsonTypeName;
 
 import geniusweb.deadline.DeadlineTime;
@@ -15,5 +14,4 @@
  *
  */
-@JsonTypeName("time")
 public class ProgressTime implements Progress {
 
Index: timeline/src/test/java/geniusweb/deadline/DeadlineTest.java
===================================================================
--- timeline/src/test/java/geniusweb/deadline/DeadlineTest.java	(revision 32)
+++ timeline/src/test/java/geniusweb/deadline/DeadlineTest.java	(revision 33)
@@ -18,10 +18,10 @@
 public class DeadlineTest extends GeneralTests<Deadline> {
 	private final ObjectMapper jackson = new ObjectMapper();
-	private final String deadlinestring = "{\"deadlinerounds\":{\"rounds\":100,\"durationms\":999}}";
+	private final String deadlinestring = "{\"DeadlineRounds\":{\"rounds\":100,\"durationms\":999}}";
 	private final DeadlineRounds deadlineRounds = new DeadlineRounds(100, 999);
 	private final DeadlineRounds deadlineRounds1 = new DeadlineRounds(100, 999);
 	private final DeadlineRounds deadlineRounds2 = new DeadlineRounds(100,
 			9999);
-	private final String deadlinetimestring = "{\"deadlinetime\":{\"durationms\":2000}}";
+	private final String deadlinetimestring = "{\"DeadlineTime\":{\"durationms\":2000}}";
 	private final DeadlineTime deadlineTime = new DeadlineTime(2000);
 
Index: timeline/src/test/java/geniusweb/progress/ProgressRoundsTest.java
===================================================================
--- timeline/src/test/java/geniusweb/progress/ProgressRoundsTest.java	(revision 32)
+++ timeline/src/test/java/geniusweb/progress/ProgressRoundsTest.java	(revision 33)
@@ -39,5 +39,5 @@
 	private ProgressRounds progress;
 	private final ObjectMapper jackson = new ObjectMapper();
-	private final String progressstring = "{\"rounds\":{\"duration\":10,\"currentRound\":0,\"endtime\":999}}";
+	private final String progressstring = "{\"ProgressRounds\":{\"duration\":10,\"currentRound\":0,\"endtime\":999}}";
 
 	private final long start = 1234;
Index: timeline/src/test/java/geniusweb/progress/ProgressTimeTest.java
===================================================================
--- timeline/src/test/java/geniusweb/progress/ProgressTimeTest.java	(revision 32)
+++ timeline/src/test/java/geniusweb/progress/ProgressTimeTest.java	(revision 33)
@@ -29,5 +29,5 @@
 
 	private final ObjectMapper jackson = new ObjectMapper();
-	private final String progressstring = "{\"time\":{\"duration\":10,\"start\":0}}";
+	private final String progressstring = "{\"ProgressTime\":{\"duration\":10,\"start\":0}}";
 
 	private final long start = 1234;
